List Project Grant Members
Deprecated: use ListAdministrators instead.
Members are users with permission to administrate Zitadel on different levels. This request returns all users with memberships on the project grant level, matching the search queries. The search queries will be AND linked.
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://loading/projects/string/grants/string/members/_search" \ -H "Content-Type: application/json" \ -d '{}'{
"details": {
"totalResult": 0,
"processedSequence": 0,
"viewTimestamp": "2023-01-15T01:30:15.01Z"
},
"result": [
{
"userId": "string",
"details": {
"sequence": 0,
"creationDate": "2023-01-15T01:30:15.01Z",
"changeDate": "2023-01-15T01:30:15.01Z",
"resourceOwner": "string"
},
"roles": [
"string"
],
"preferredLoginName": "string",
"email": "string",
"firstName": "string",
"lastName": "string",
"displayName": "string",
"avatarUrl": "string",
"userType": "TYPE_UNSPECIFIED",
"userResourceOwner": "string"
}
]
}Was this page helpful?
List Personal-Access-Tokens (PATs)
List Personal-Access-Tokens (PATs): Deprecated: use [user service v2 ListPersonalAccessTokens](/reference/api/user/zitadel.user.v2.UserService.ListPersonalAccessTokens) instead. Returns a list of PATs for a user, currently only avail...
List Project Members
List Project Members: Deprecated: use [ListAdministrators](/reference/api/internal_permission/zitadel.internal_permission.v2.InternalPermissionService.ListAdministrators) instead. Members are users with permission to ad...